# std::chrono::leap

From cppreference.com
< cpp‎ | chrono

Defined in header `<chrono>` |  |
class leap; |  | (since C++20)

The class `leap` represents the date and time of a leap second insertion.

Users cannot construct `leap` objects except by copying from existing `leap` objects. The library implementation creates `leap` objects when it initializes the time zone database and provides const access to these objects.

`leap` has a defaulted copy constructor and a defaulted copy assignment operator.

### Member functions

date | obtains the time of leap second insertion (public member function)

### Nonmember functions

operator==operator!=operator<operator<=operator>operator>= | compares two `leap` objects or a `leap` object and a sys_time (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/leap&oldid=104680"